package com.qmth.themis.common.enums;

public enum Platform {

    WEB, WIN, MAC, WXAPP, IOS, ANDROID;

    public static Platform findByName(String name) {
        if (name == null) {
            return null;
        }
        for (Platform item : Platform.values()) {
            if (item.toString().equalsIgnoreCase(name)) {
                return item;
            }
        }
        return null;
    }

    public boolean equals(String name) {
        return toString().equalsIgnoreCase(name);
    }
}
